:root {
    --gold: #c5a059;
    --red: #8b0000;
}

body, html {
    margin: 0;
    padding: 0;
    background-color: #000;
    color: #fff;
    height: 100%;
}

html {
    scroll-behavior: smooth;
}


/* Background fixo para simular a arte da imagem */
.main-wrapper {
    background: url('../images/background-01.jpg') no-repeat center center;
    background-size: cover;
    min-height: 100vh;
    background-attachment: fixed;
    
}

.two-wrapper {
    background: url('../images/background-02.jpg') no-repeat center center;
    background-size: cover;
    min-height: 100vh;
    background-attachment: fixed;
    
}

.three-wrapper {
    background: url('../images/background-03.jpg') no-repeat center center;
    background-size: cover;
    min-height: 100vh;
    background-attachment: fixed;
    
}

.main-content {
    position: relative;
    max-width: 2000px;  /* Limita a largura máxima */
    margin-left: auto;  /* Empurra o espaço sobrando para a esquerda */
    margin-right: auto; /* Empurra o espaço sobrando para a direita */
    width: 95%;         /* Garante um respiro (margem) em telas menores que 1500px */
    min-height: 100vh;
    padding-bottom: 70px;
}


/* Overlay escuro para dar leitura aos textos */
.background-overlay-one {
    position: absolute;
    width: 100%; height: 100%;
    background: radial-gradient(circle, transparent 20%, rgba(0,0,0,0.8) 100%);
    padding-bottom: 70px;
    z-index: 1;
}

.background-overlay-two {
    position: absolute;
    width: 100%; height: 100%;
    background: radial-gradient(circle, transparent 20%, rgba(0,0,0,0.8) 100%);
    z-index: 1;
}

.background-overlay-three {
    position: absolute;
    width: 100%; height: 100%;
    background: radial-gradient(circle, transparent 20%, rgba(0,0,0,0.8) 100%);
    z-index: 1;
}

header, main { position: relative; z-index: 2; }

/* Navbar Superior */
.nav-container {
    font-family: 'Oswald', sans-serif;
    color:#e4dfd6;
    font-size:15px;
    font-weight: 300;
    display: flex;
    width: 100%;
    justify-content: space-around;
    align-items: center;
    padding: 20px 0;
    align-self: center;
}

nav a {
    color:#e0c696;
    font-weight: 300;
    margin-bottom:20px;
    letter-spacing:2px;
    margin: 0 15px;
}

a {
    text-decoration: none;
}

.mini-logo {
    margin-top: 3%;
    position: absolute;
    display: flex;
    justify-content: center; /* Centraliza horizontalmente */
    align-items: center;     /* Opcional: Centraliza verticalmente também */
    width: 100%;
    z-index: 3;
}

.btn-play {
    background: linear-gradient(to bottom, #8b0000, #4a0000);
    border: 1px solid var(--gold);
    color: #fff;
    padding: 10px 30px;
    cursor: pointer;
    font-weight: bold;
    border-radius: 10px;
}

/* Grid de Conteúdo */
.content-grid{
    display:grid;
    grid-template-columns: 50% 50%;
    grid-template-rows:auto auto;
    column-gap:40px;
    row-gap:30px;
    padding:60px 8%;
}


.main-title {
    position: absolute;
    grid-column: 1 / span 2;
    text-align: center;
    margin-bottom: 50px;
    top:20%;
    left:50%;
    transform:translate(-50%, -50%);
}

.left-column{
    position: absolute;
    margin-top: 13%;
    margin-left: 5%;
    width: 680px;
    height: 680px;
    z-index: 5;
    
}

/* CARD DO VIDEO */

.video-section{
    align-items: center !important;
    align-self: center !important;
    text-align:center !important;
}

.section-title{ 
    font-family:'Cinzel',serif;
    color:#e0c696;
    font-size:30px;
    font-weight: 700;
    margin-bottom:0px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1);
}

.video-card{
    position:relative;
    width:520px;
    border-radius:10px;
    margin-left: auto;
    margin-right: auto;
    border:2px solid transparent;
    background:
    linear-gradient(#000,#000) padding-box,
    linear-gradient(
    0deg,
    #c5a76e,
    #ff9d00,
    #c5a76e
    ) border-box;
    box-shadow:
    0 0 10px rgba(0,0,0,0.7),
    0 20px 40px rgba(0,0,0,0.8);
    overflow:hidden;
}

.video-card img{
    width:100%;
    display:block;
    filter:brightness(1.0);
}

/* BOTÃO PLAY */

@keyframes glowPulse{

0%{box-shadow:0 0 10px #c5a76e;}
50%{box-shadow:0 0 35px #c5a76e;}
100%{box-shadow:0 0 10px #c5a76e;}

}

.play-button{
    animation: glowPulse 2s infinite;
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    width:80px;
    height:80px;
    border-radius:50%;
    border:4px solid #c5a059;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:32px;
    color:#c5a76e;

filter:brightness(1.4) saturate(1.4);

-webkit-text-stroke:1px #fff8b0;
    background:rgba(0,0,0,0.4);
}

.play-button-img {
    
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    width:120px !important;
    height:120px !important;
    
}

/* TEXTO INFERIOR */

.video-info{
    position:absolute;
    top: 190px;
    width:100%;
    background:linear-gradient(
    to top,
    rgba(0,0,0,0.9),
    rgba(0,0,0,0)
    );
    padding:0px;
    text-decoration: none;
    z-index: 5;
}

.video-info h4{
    font-family:'Cinzel',serif;
    color:#e0c696;
    font-size:22px;
    font-weight: 700;
    letter-spacing:0px;
    text-shadow:
    0 0 30px black,
    0 0 30px black;
    
}

.video-info p{
    font-family:'Cinzel',serif;
    color:#e0c696;
    font-size:18px;
    font-weight: 300;
    margin-top: -30px;
    letter-spacing:0px;
    text-shadow:
    0 0 30px black,
    0 0 30px black;
}

.play-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 50px;
    color: var(--gold);
}

.gallery-box {
    text-align: center;
}

.gallery-box h4 {
    font-family: "Cinzel Decorative", serif;
    color:#e0c696;
    font-size:30px;
    font-weight: 700;
    font-style: normal;
    margin-bottom:20px;
    letter-spacing:0px;
    text-shadow:
    0 0 30px black,
    0 0 30px black;
}

.view-more {

    font-family: "Oswald", serif;
    color:#e0c696;
    font-size:18px;
    font-weight: 300;
    letter-spacing:2px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1);
    z-index: 2;
}


.gallery-thumbs {
    
    margin-top: 10px;
}

.gallery-thumbs img {
    width: 200px;
    height: 120px;
    border: 1px solid #444;
    margin-left: 10px;
    margin-bottom: 30px;
    object-fit: cover;
    border:2px solid transparent;
    background:
    linear-gradient(#000,#000) padding-box,
    linear-gradient(
    0deg,
    #746f32,
    #ff9d00,
    #746f32
    ) border-box;
    box-shadow:
    0 0 10px rgba(0,0,0,0.7),
    0 20px 40px rgba(0,0,0,0.8);
}

/* Coluna da Direita (Sinopse) */
.right-column {
    position: absolute;
    margin-top: 3%;
    right: 2%;
    max-width: 750px;
    max-height: 1200px;
    z-index: 5;
}



.synopsis-box {
    text-align: center;
    margin-top: -170px;
    z-index: 5;
}

.synopsis-box h4 {
    font-family:'Cinzel',serif;
    color:#e0c696;
    font-size:30px;
    font-weight: 700;
    margin-bottom:20px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1);
    z-index: 2;
}

.synopsis-box .descricao {
    font-family: 'Oswald', sans-serif;
    color:#e4dfd6;
    font-size:20px;
    margin-top: -10px;
    font-weight: 300;
    margin-bottom:20px;
    letter-spacing:2px;
    line-height: 30px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1);
    z-index: 2;
}

.synopsis-box .quote {
    font-family: 'Oswald', sans-serif;
    color:#e4dfd6;
    font-size:20px;
    font-weight: 300;
    margin-bottom:20px;
    letter-spacing:2px;
    line-height: normal;
    z-index: 2;
    text-decoration: none;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1);
}

.synopsis-box, .more-link {
    font-family: "Oswald", serif;
    color:#e0c696;
    font-size:18px;
    font-weight: 300;
    margin-bottom:20px;
    letter-spacing:2px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1);
    z-index: 2;
}

.character-art {
    height:80%;
    z-index: 1;
}

.character-art img {
    z-index: 1;
    width: 750px;
}


/* ====== SEGUNDA PAGINA ======== */

.two-main-content {
    position: relative;
    max-width: 2000px;  /* Limita a largura máxima */
    margin-left: auto;  /* Empurra o espaço sobrando para a esquerda */
    margin-right: auto; /* Empurra o espaço sobrando para a direita */
    width: 95%;         /* Garante um respiro (margem) em telas menores que 1500px */
    min-height: 100vh;
}

.two-left-column {
    position: absolute;
    text-align: center;
    margin-top: 5%;
    width: 820px;
    height: 900px;
    z-index: 5;
}
.history-title {
    font-family: "Cinzel Decorative", serif;
    color:#e0c696;
    font-size:35px;
    font-weight: 700;
    margin-bottom:0px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 30px rgba(0,0,0,1),
        0 0 60px rgba(0,0,0,1),
        0 0 70px rgba(0,0,0,1);
}

.history-subtitle {
    position: relative;
    font-family: "Cinzel Decorative", serif;
    color:#e0c696;
    font-size:20px;
    font-weight: 700;
    margin-top: -10px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 30px rgba(0,0,0,1),
        0 0 60px rgba(0,0,0,1),
        0 0 70px rgba(0,0,0,1);
}


.history {
    background: url('../images/oldpaper.png') no-repeat center center;
    background-size: 100% 100%;
    width: 820px;
    height: 650px;
    margin-left: auto;
    margin-right: auto;
    align-content: center;
}

.history .descricao {
    font-family: 'Oswald', sans-serif;
    color:#414141;
    font-size:23px;
    text-align: left;
    padding: 0px 80px 0px 80px;
    margin-top: -10px;
    font-weight: 600;
    margin-bottom:20px;
    letter-spacing:2px;
    line-height: 30px;
    z-index: 2;
}


.two-right-column {
    position: absolute;
    text-align: center;
    margin-top: 5%;
    right: 0%;
    width: 820px;
    height: 900px;
    z-index: 5;
}

.jogabilidade-title {
    font-family: "Cinzel Decorative", serif;
    color:#e0c696;
    font-size:35px;
    font-weight: 700;
    margin-bottom:0px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 30px rgba(0,0,0,1),
        0 0 60px rgba(0,0,0,1),
        0 0 70px rgba(0,0,0,1);
}

.jogabilidade-subtitle {
    position: relative;
    font-family: "Cinzel Decorative", serif;
    color:#e0c696;
    font-size:20px;
    font-weight: 700;
    margin-top: -10px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 30px rgba(0,0,0,1),
        0 0 60px rgba(0,0,0,1),
        0 0 70px rgba(0,0,0,1);
}

.jogabilidade .descricao {
    font-family: 'Oswald', sans-serif;
    color:#e4dfd6;
    font-size:22px;
    margin-top: 40px;
    font-weight: 300;
    margin-bottom:20px;
    letter-spacing:2px;
    line-height: 30px;
    padding: 0px 30px 0px 30px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1),
        0 0 15px rgba(0,0,0,1);
    z-index: 2;
}


/* ====== TERCEIRA PAGINA ======== */

.three-main-content {
    position: relative;
    max-width: 2000px;  /* Limita a largura máxima */
    margin-left: auto;  /* Empurra o espaço sobrando para a esquerda */
    margin-right: auto; /* Empurra o espaço sobrando para a direita */
    width: 95%;         /* Garante um respiro (margem) em telas menores que 1500px */
    min-height: 100vh;
}

.three-main-content::before {
    
    content: "";
    position: absolute;   
    width: 100%;
    height: 100%;
    
    /* Sua imagem de fundo aqui */
    background: url('../images/nightmarelilithamurmurw800.png') no-repeat center center;
    background-size: 1500px;
    background-position: center;
    background-attachment: fixed;

    
    /* Controle de Opacidade: Só a imagem será afetada */
    opacity: 0.15; 
    
}

.three-left-column {
    position: absolute;
    text-align: center;
    margin-top: 5%;
    width: 940px;
    height: 800px;
    z-index: 6;
}

.three-right-column {
    position: absolute;
    text-align: center;
    margin-top: 5%;
    right: 2%;
    width: 700px;
    height: 800px;
    z-index: 5;
}

.galeria-title {
    font-family: "Cinzel Decorative", serif;
    color:#e0c696;
    font-size:55px;
    font-weight: 700;
    margin-bottom:0px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 30px rgba(0,0,0,1),
        0 0 60px rgba(0,0,0,1),
        0 0 70px rgba(0,0,0,1);
}

.galeria-subtitle {
    position: relative;
    font-family: "Cinzel Decorative", serif;
    color:#e0c696;
    font-size:20px;
    font-weight: 700;
    margin-top: -10px;
    letter-spacing:0px;
    text-shadow:
        2px 2px 4px rgba(0,0,0,1),
        0 0 30px rgba(0,0,0,1),
        0 0 60px rgba(0,0,0,1),
        0 0 70px rgba(0,0,0,1);
}

#sparks{
    position:fixed;
    width:100%;
    height:100%;
    left:0;
    bottom:0;
    pointer-events:none;
    z-index: 1;
}

/* Fundo escurecido (Overlay) */
.modal {
    display: none; /* Escondido por padrão */
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9); /* Escurece o fundo */
    backdrop-filter: blur(5px); /* Opcional: efeito de desfoque */
}

/* Centralização do Vídeo */
.modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    max-width: 800px;
    aspect-ratio: 16 / 9;
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.1);
}

/* Botão de Fechar */
.close-btn {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.close-btn:hover { color: #ff0000; }

/* =============== Grid Principal =============== */
.galeria-grid {
    position: relative;
    max-width: 800px;  /* Limita a largura máxima */
    margin-left: auto;  /* Empurra o espaço sobrando para a esquerda */
    margin-right: auto; /* Empurra o espaço sobrando para a direita */
    width: 95%;         /* Garante um respiro (margem) em telas menores que 1500px */
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    padding: 40px 0;
}

.foto-item img {
    width: 100%;
    height: 130px;
    object-fit: cover;
    border: 2px solid #c5a059; /* Ouro envelhecido */
    cursor: pointer;
    transition: 0.3s;
    filter: grayscale(0.5) brightness(0.8);
}

.foto-item img:hover {
    filter: grayscale(0) brightness(1.1);
    transform: scale(1.05);
    box-shadow: 0 0 20px rgba(139, 0, 0, 0.6); /* Brilho de sangue ao passar o mouse */
}

/* Estilo do Pop-up (Overlay) */
.overlay-pop {
    display: none; /* Escondido por padrão */
    position: fixed;
    z-index: 9999;
    align-content: center;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.90); /* Fundo quase preto */
    backdrop-filter: blur(5px); /* Efeito de vidro esfumaçado */
}

.conteudo-pop {
    display: block;
    max-width: 100%;
    max-height: 100%;    
    border: 3px solid #c5a059;
    animation: zoom 0.3s ease-in-out;
}

@keyframes zoom {
    from {transform: scale(0)} 
    to {transform: scale(1)}
}

.botao-fechar {
    position: absolute;
    top: 30px;
    right: 50px;
    color: #c5a059;
    font-size: 60px;
    font-weight: bold;
    cursor: pointer;
}

#legenda-pop {
    text-align: center;
    color: #ccc;
    font-family: 'Cinzel Decorative', serif;
    margin-top: 15px;
    letter-spacing: 2px;
}

/* Ícone de Play sobre o vídeo */
.foto-item { position: relative; }

.play-overlay {
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    font-size: 40px;
    color: #c5a059;
    text-shadow: 0 0 15px #000;
    pointer-events: none; /* Garante que o clique passe para a div pai */
    z-index: 2;
}

/* Container para manter a proporção do vídeo 16:9 */
.video-wrapper {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 0;
}

.video-wrapper iframe {
    position: absolute;
    top: 0; left: 0;
    width: 100%; height: 100%;
    border: 2px solid #c5a059;
}

.container-midia {
    width: 80%;
    max-width: 1000px;
    margin: 5% auto;
}